Arch SplitMesh/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 27: Line 27:


# Select a mesh object.
# Select a mesh object.
# Press the {{Button|[[Image:Arch SplitMesh.png|16px]] [[Arch SplitMesh|Split Mesh]]}} entry in {{MenuCommand|Arch → Utilities → Split Mesh}}.
# Press the {{Button|[[Image:Arch_SplitMesh.svg|16px]] [[Arch SplitMesh|Split Mesh]]}} entry in {{MenuCommand|Arch → Utilities → Split Mesh}}.


==Scripting==
==Scripting==
Line 70: Line 70:
}}
}}


{{Arch Tools navi/ru}}
{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi/ru}}
{{Userdocnavi{{#translation:}}}}

Revision as of 20:50, 20 February 2020

Arch SplitMesh

Системное название
Arch SplitMesh
Расположение в меню
Архитектура → Утилиты → Разделить сетку
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Выбрать не-разнородные сетки

Определение

Этот инструмент разбивает выбранную сетку на отдельные компоненты

Использование

  1. Select a mesh object.
  2. Press the Split Mesh entry in Arch → Utilities → Split Mesh.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The SplitMesh tool can be used in macros and from the Python console by using the following function:

new_list = splitMesh(obj, mark=True)
  • Splits the given mesh object (obj) into separated components.
  • If mark is True non-manifold components will be painted red.
  • new_list is a list of all the individual components that make the mesh.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)